LIBUSB_ERROR_ACCESS

Firmware/software/electronics
chad
Expert
Posts: 555
Joined: Sun Sep 28, 2014 12:54 am
Location: New York, USA
Contact:

Re: LIBUSB_ERROR_ACCESS

Post by chad » Wed Dec 23, 2015 1:34 am

natekicksa wrote:oh i have mac osx lion 10.7.5, i download everything but everytime i try to put the file extension into the terminal, it says shows password, then i type in my password and then it says error, this command does not exist. what do you think is going on?
I'm not sure what you mean by:
everytime i try to put the file extension into the terminal
Can you please explain exactly what you're doing?
Crazyflier - my CF journal...
4x Crazyflie Nano (1.0) 10-DOF + NeoPixel Ring mod.
3x Crazyflie 2.0 + Qi Charger and LED Decks.
Raspberry Pi Ground Control.
Mac OS X Dev Environment.
Walkera Devo7e, ESky ET6I, PS3 and iOS Controllers.

natekicksa
Beginner
Posts: 6
Joined: Mon Dec 21, 2015 11:48 pm

Re: LIBUSB_ERROR_ACCESS

Post by natekicksa » Wed Dec 23, 2015 1:38 am

okay so the crazyflie demo on the cylon.js site, I copy and pasted it into a notepad program and i named it as test.js , everytime i try to run test.js in the terminal(type in test.js in the terminal to run it) it says "Command does not exist" or "No such file or directory"...

chad
Expert
Posts: 555
Joined: Sun Sep 28, 2014 12:54 am
Location: New York, USA
Contact:

Re: LIBUSB_ERROR_ACCESS

Post by chad » Wed Dec 23, 2015 1:44 am

natekicksa wrote:okay so the crazyflie demo on the cylon.js site, I copy and pasted it into a notepad program and i named it as test.js , everytime i try to run test.js in the terminal(type in test.js in the terminal to run it) it says "Command does not exist" or "No such file or directory"...
I see. What "notepad program" did you use? It might be saving the file as something other than text and just changing the extension to '.js' won't help that. Also, your file is not executable. You need to run it by passing it as an argument to node. Type "node" into the Terminal and then drag the fie to the Terminal.

But, all of this will be moot because it won't work anyway specifically for the reasons listed in the thread above. Unless of course you have a very old nodejs install (like 0.3.11 or older).

Good luck!
Crazyflier - my CF journal...
4x Crazyflie Nano (1.0) 10-DOF + NeoPixel Ring mod.
3x Crazyflie 2.0 + Qi Charger and LED Decks.
Raspberry Pi Ground Control.
Mac OS X Dev Environment.
Walkera Devo7e, ESky ET6I, PS3 and iOS Controllers.

natekicksa
Beginner
Posts: 6
Joined: Mon Dec 21, 2015 11:48 pm

Re: LIBUSB_ERROR_ACCESS

Post by natekicksa » Wed Dec 23, 2015 1:56 am

alright, i will try your methods, whats your email, i might have more questions on this... @chad and i used sublime text editor

chad
Expert
Posts: 555
Joined: Sun Sep 28, 2014 12:54 am
Location: New York, USA
Contact:

Re: LIBUSB_ERROR_ACCESS

Post by chad » Wed Dec 23, 2015 2:00 am

natekicksa wrote:whats your email, i might have more questions on this...
:roll:
Crazyflier - my CF journal...
4x Crazyflie Nano (1.0) 10-DOF + NeoPixel Ring mod.
3x Crazyflie 2.0 + Qi Charger and LED Decks.
Raspberry Pi Ground Control.
Mac OS X Dev Environment.
Walkera Devo7e, ESky ET6I, PS3 and iOS Controllers.

natekicksa
Beginner
Posts: 6
Joined: Mon Dec 21, 2015 11:48 pm

Re: LIBUSB_ERROR_ACCESS

Post by natekicksa » Wed Dec 23, 2015 2:15 am

wait another question, sorry about that but couldnt you just install an older version of node.js and get it to work? @chad

chad
Expert
Posts: 555
Joined: Sun Sep 28, 2014 12:54 am
Location: New York, USA
Contact:

Re: LIBUSB_ERROR_ACCESS

Post by chad » Thu Dec 24, 2015 1:49 am

natekicksa wrote:wait another question, sorry about that but couldnt you just install an older version of node.js and get it to work? @chad
With all due respect natekicksa, there's nothing more annoying than a question that shows you haven't even read the thread you're replying to. This has already been answered here.

The version of node-usb that works is too old to work with the current nodejs releases. To use a working node-usb module you have to downgrade to nodejs 0.3.11. This is quite the downgrade from 4.2.4 and most people doing this would likely not want such an old release. If you do not mind, have at it then.

1)
I also tried to simply install an earlier version of node-usb but that cause npm to throw a bunch of errors I didn't want to look into. I don't think that's a viable option unless you downgrade node as well, which is likely a non-starter as well.
2)
But, all of this will be moot because it won't work anyway specifically for the reasons listed in the thread above. Unless of course you have a very old nodejs install (like 0.3.11 or older).
Crazyflier - my CF journal...
4x Crazyflie Nano (1.0) 10-DOF + NeoPixel Ring mod.
3x Crazyflie 2.0 + Qi Charger and LED Decks.
Raspberry Pi Ground Control.
Mac OS X Dev Environment.
Walkera Devo7e, ESky ET6I, PS3 and iOS Controllers.

natekicksa
Beginner
Posts: 6
Joined: Mon Dec 21, 2015 11:48 pm

Re: LIBUSB_ERROR_ACCESS

Post by natekicksa » Thu Dec 24, 2015 7:19 pm

sorry about that chad, i was just curious. thanks for your help

adjavaherian
Beginner
Posts: 26
Joined: Fri May 22, 2015 4:18 am

Re: LIBUSB_ERROR_ACCESS

Post by adjavaherian » Tue Jan 19, 2016 7:15 am

fyi, I was just working on a node-usb version of the radio driver and ran into a similar problem with lib_usb. I think you need to downgrade to node 0.12.7 if you haven't already and then re-run npm install. try the n node version manager if you haven't yet? https://github.com/tj/n

Post Reply